
Extended Fields - Bug #2299

500 internal error on 2.4.5

03 Jun 2014 01:16 - Jeff S

Status: Won't Fix Start date: 03 Jun 2014

Priority: Normal Due date:  

Assignee: Andriy Lesyuk % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Redmine version:  External issue:  

Description

500 internal error on the New Custom Field page - Log complains about hint not being available in one of the views. Removing the

line in the view fixes that but I don’t know what the consequences are.

500 internal error on New Issues page and viewing most issues as well. No log entries log/production.log for this error.

Using Redmine 2.4.5.

Related issues:

Related to Extended Fields - Support #2161: Internal error On New Issues tab In Progress 06 Mar 2013

History

#1 - 03 Jun 2014 08:25 - Andriy Lesyuk

- Status changed from New to Incomplete

Jeff, did you run: rake redmine:plugins:migrate RAILS_ENV=production?

#2 - 03 Jun 2014 16:12 - Jeff S

Yes and I’m familiar with normal installation procedures. I’ll try and get a more detailed error message today. I had to restore a backup immediately so

I didn’t have time.

#3 - 03 Jun 2014 18:41 - Andriy Lesyuk

Jeff, hint is a column for custom fields in the Redmine database, and is added during migration. In other words, this kind of error happens usually

when you have not run migration or have not restarted Redmine. That’s why I asked...

Otherwise, I’m not sure what could be the reason... Detailed logs would help.

#4 - 11 Jun 2014 21:51 - Andriy Lesyuk

Jeff S, are you using PostgreSQL?

#5 - 12 Jun 2014 02:41 - Jeff S

No we’re using MySQL. An employee wanted your plugin but she is no longer with the company so I’m not sure if I will be tasked with continuing the

installation. If I am then I will get you a report, but for now we can just close the issue due to uncertainty.

I appreciate your hard work and quick responses!

#6 - 15 Dec 2014 07:52 - Andriy Lesyuk

- Status changed from Incomplete to Won't Fix
